%define rev 4

Name:           pulseaudio-equalizer
Version:        2.7
Release:        3%{?dist}
Summary:        A 15 Bands Equalizer for PulseAudio

Group:          Applications/Multimedia
License:        GPLv3+
URL:            https://code.launchpad.net/~psyke83/+junk/%{name}
# This is a bzr checkout, to obtain the used tarball in this spec :
# bzr branch -r %%{rev} lp:~psyke83/+junk/pulseaudio-equalizer
# mv %%{name} %%{name}-%%{version}
# tar cjf %%{name}-%%{version}.tar.bz2 %%{name}-%%{version}
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils

Requires:       pygtk2 ladspa-swh-plugins gnome-media
Requires:       pulseaudio-utils >= 0.9.19

# Force default equalizer persistence value, fixes rhbz #635400
Patch0:         %{name}-%{version}-force-default-persistence-value.patch

%description
PulseAudio Equalizer is a 15 bands system wide equalizer, that means
any application that is using PulseAudio, will benefit from the sound
improvement.

%prep
%setup -q
cp debian/copyright COPYING
cp debian/changelog ChangeLog
%if %{fedora} >= 14
sed -i 's|gnome-volume-control|multimedia-volume-control|g' usr/share/{applications/pulseaudio-equalizer.desktop,pulseaudio-equalizer/pulseaudio-equalizer.py}
%endif 

%patch0 -p1

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cp -rfp usr $RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}


%changelog
* Mon Sep 20 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-3
- Force default equalizer persistence value, fixes rhbz #635400

* Wed Sep 15 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-2
- Fix rhbz #632940

* Sun Feb 07 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-1
- New upstream release
- New project URL
- Dropped patches ( merged upstream )

* Thu Nov 26 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.4-1
- Initial package
